Bug 209965 - x11-wm/spectrwm: Update to 3.0.2
Summary: x11-wm/spectrwm: Update to 3.0.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Niclas Zeising
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2016-06-02 10:21 UTC by Oleh Hushchenkov
Modified: 2016-06-06 16:59 UTC (History)
1 user (show)

See Also:
zeising: maintainer-feedback+


Attachments
spectrwm port diff (4.42 KB, patch)
2016-06-02 10:21 UTC, Oleh Hushchenkov
no flags Details | Diff
spectrwm v3.0.2 patch (4.59 KB, patch)
2016-06-05 07:58 UTC, Oleh Hushchenkov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Oleh Hushchenkov 2016-06-02 10:21:42 UTC
Created attachment 170943 [details]
spectrwm port diff

Update spectrwm to latest version with support ICCCM and EWMH.
Comment 1 Oleh Hushchenkov 2016-06-02 10:47:54 UTC
Also switch to GitHub and eliminate unneeded now patches.
Comment 2 VK freebsd_triage 2016-06-05 00:57:23 UTC
Thanks for the patch. Can you confirm this passes tests like portlint and porttools or poudriere?
Comment 3 Oleh Hushchenkov 2016-06-05 07:58:48 UTC
Created attachment 171036 [details]
spectrwm v3.0.2 patch

spectrwm v3.0.2 patch v2
Comment 4 Oleh Hushchenkov 2016-06-05 08:04:12 UTC
(In reply to Vladimir Krstulja from comment #2)

Upload fixed patch. Now this passed all tests in portlint and porttools without warnings.
Comment 5 Niclas Zeising freebsd_committer 2016-06-06 15:35:30 UTC
Thanks for the patch, I'm looking into this now, hopefully I'll have this in the tree soon.
Comment 6 commit-hook freebsd_committer 2016-06-06 16:43:16 UTC
A commit references this bug:

Author: zeising
Date: Mon Jun  6 16:42:44 UTC 2016
New revision: 416473
URL: https://svnweb.freebsd.org/changeset/ports/416473

Log:
  Update to 3.0.2

  This makes spectrwm support ICCCM and EWHM.

  PR:		209965
  Submitted by:	Oleg Gushchenkov

Changes:
  head/x11-wm/spectrwm/Makefile
  head/x11-wm/spectrwm/distinfo
  head/x11-wm/spectrwm/files/patch-freebsd_util.h
  head/x11-wm/spectrwm/files/patch-spectrwm.c
  head/x11-wm/spectrwm/files/patch-spectrwm.conf
Comment 7 Niclas Zeising freebsd_committer 2016-06-06 16:44:25 UTC
comitted, thanks!
Comment 8 Oleh Hushchenkov 2016-06-06 16:59:07 UTC
Thank you!